| Home | Libraries | People | FAQ | More

## Function template rotate

boost::compute::rotate

## Synopsis

    // In header: <boost/compute/algorithm/rotate.hpp>

    template<typename InputIterator>
      void rotate(InputIterator first, InputIterator n_first, InputIterator last,
                  command_queue & queue = system::default_queue());

## Description

Performs left rotation such that element at `n_first` comes to the beginning.

Space complexity: \Omega(distance(`first`, `last`))

See Also: rotate_copy()